Subject: Re: [PATCH 1/9] Add LICENSE

From: Daniel Shahaf <[email-masked]>
Date: Wed, 14 Jul 2010 07:47:12 +0300

[ are all of these CCs really necessary?  that's another thing I almost never
see over at dev@svn ]

Ramkumar Ramachandra wrote on Wed, Jul 14, 2010 at 01:36:08 +0200:
> License the project under a two-clause BSD-style license. A dual
> license will be required later when attempting to merge into
> Subversion.
> 

If it ends in svn trunk as subversion/svnrdump/ (and not as a tools/ utility),
it's going to have to be licensed under the Apache License v2.

Daniel
(AFAIK)

> Signed-off-by: Ramkumar Ramachandra <[email-masked]>
> ---
>  LICENSE |   26 ++++++++++++++++++++++++++
>  1 files changed, 26 insertions(+), 0 deletions(-)
>  create mode 100644 LICENSE
> 
> diff --git a/LICENSE b/LICENSE
> new file mode 100644
> index 0000000..4367b7c
> --- /dev/null
> +++ b/LICENSE
> @@ -0,0 +1,26 @@
> +Copyright (C) 2010 Ramkumar Ramachandra
> +All rights reserved.
> +
> +Redistribution and use in source and binary forms, with or without
> +modification, are permitted provided that the following conditions
> +are met:
> +1. Redistributions of source code must retain the above copyright
> +   notice(s), this list of conditions and the following disclaimer
> +   unmodified other than the allowable addition of one or more
> +   copyright notices.
> +2. Redistributions in binary form must reproduce the above copyright
> +   notice(s), this list of conditions and the following disclaimer in
> +   the documentation and/or other materials provided with the
> +   distribution.
> +
> +THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER(S) ``AS IS'' AND ANY
> +EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
> +IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
> +PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDER(S) BE
> +LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
> +CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
> +SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
> +BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
> +WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
> +OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
> +EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
> -- 
> 1.7.1
>